nvme_mi_admin_get_log_device_self_test(9)

NAME
nvme_mi_admin_get_log_device_self_test - Retrieve the device self test log

SYNOPSIS
int nvme_mi_admin_get_log_device_self_test (nvme_mi_ctrl_t ctrl , struct nvme_self_test_log *log );

ARGUMENTS

ctrl
    Controller to query

log Userspace address of the log payload

DESCRIPTION
The log page indicates the status of an in progress self test and the percent complete of that operation, and the results of the previous 20 self-test operations.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.